# Gimp.ConfigWriter.comment_mode

    @accepts(Gimp.ConfigWriter, bool)
    @returns(none)
    def comment_mode(self, enable):
        # Python wrapper for gimp_config_writer_comment_mode()

This function toggles whether the self should create commented or uncommented output. This feature is used to generate the system-wide installed gimprc that documents the default settings.

Since comments have to start at the beginning of a line, this function will insert a newline if necessary.

Since 2.4

self

  a Gimp.ConfigWriter

enable

  True to enable comment mode, False to disable it